<?php

namespace App\Notifications\Push\Cliente\Educativo;

use App\Enums\PushNotificationCategoryEnum;
use App\Enums\PushNotificationTargetEnum;
use App\Models\User;
use App\Notifications\Push\BasePushNotification;
use Illuminate\Database\Eloquent\Collection;

class Educativo4Push extends BasePushNotification
{
    public function label(): string
    {
        return 'cliente_educativo_4';
    }

    public function title(): string
    {
        return 'Transparência';
    }

    public function body(): string
    {
        return 'Você vê perfil, avaliações e valores antes de contratar.';
    }

    public function target(): PushNotificationTargetEnum
    {
        return PushNotificationTargetEnum::CLIENTE;
    }

    public function category(): PushNotificationCategoryEnum
    {
        return PushNotificationCategoryEnum::EDUCATIVO;
    }

    public function eligibleUsers(): Collection
    {
        return User::whereHas('client')
            ->where('registration_complete', true)
            ->get();
    }
}
